package com.lightinit.hsdataportal.json.pojo.oauth;

import jdk.nashorn.internal.ir.annotations.Ignore;
import org.codehaus.jackson.annotate.JsonProperty;

/**
 * Created by Mr.Yao on 2017/12/11.
 */
public class OAuthTokenEntity{
    @Ignore
    @JsonProperty("access_token")
    private String access_token;
    @Ignore
    @JsonProperty("token_type")
    private String token_type;
    @Ignore
    @JsonProperty("refresh_token")
    private String refresh_token;
    @Ignore
    @JsonProperty("expires_in")
    private long expires_in;
    @Ignore
    @JsonProperty("scope")
    private String scope;
    @Ignore
    @JsonProperty("error")
    private String error;

    public String getAccess_token() {
        return access_token;
    }

    public void setAccess_token(String access_token) {
        this.access_token = access_token;
    }

    public String getToken_type() {
        return token_type;
    }

    public void setToken_type(String token_type) {
        this.token_type = token_type;
    }

    public String getRefresh_token() {
        return refresh_token;
    }

    public void setRefresh_token(String refresh_token) {
        this.refresh_token = refresh_token;
    }

    public long getExpires_in() {
        return expires_in;
    }

    public void setExpires_in(long expires_in) {
        this.expires_in = expires_in;
    }

    public String getScope() {
        return scope;
    }

    public void setScope(String scope) {
        this.scope = scope;
    }

    public String getError() {
        return error;
    }

    public void setError(String error) {
        this.error = error;
    }
}
